"use strict";
/*
 * Copyright (c) 2008-2021, Hazelcast, Inc. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonStringDeserializationPolicy = void 0;
/**
 * Using this policy, one can control the
 * deserialization type of the JSON strings.
 */
var JsonStringDeserializationPolicy;
(function (JsonStringDeserializationPolicy) {
    /**
     * JSON strings are parsed and returned
     * as JavaScript objects.
     */
    JsonStringDeserializationPolicy["EAGER"] = "EAGER";
    /**
     * Raw JSON strings are returned around a
     * lightweight {@link HazelcastJsonValue}
     * wrapper.
     */
    JsonStringDeserializationPolicy["NO_DESERIALIZATION"] = "NO_DESERIALIZATION";
})(JsonStringDeserializationPolicy = exports.JsonStringDeserializationPolicy || (exports.JsonStringDeserializationPolicy = {}));
//# sourceMappingURL=JsonStringDeserializationPolicy.js.map